import { defineConfig } from 'vite';
import laravel from 'laravel-vite-plugin';
import legacy from '@vitejs/plugin-legacy';

export default defineConfig({
  plugins: [
    laravel({
      input: ['resources/css/app.css', 'resources/js/app.js'],
      refresh: true,
    }),
    legacy({
      targets: ['since 2000'],
    }),
  ],
  build: {
    target: 'es2015',
  },
  server: {
    hmr: {
      host: '10.0.1.105',
    },
  },
});
